library modular_system_core;

// infra
export './src/models.dart';
export './src/controller/web_controller.dart';
export './src/controller/api_controller.dart';
export './src/controller/auth_controller.dart';
export './src/widget/widgets.dart';
export './src/infra/app_viewmodel.dart';
export './src/extension.dart';
export './src/infra/http.dart';
export './src/infra/web_client.dart';
// utils
export 'package:flutter_spinkit/flutter_spinkit.dart';
export 'package:http/http.dart';
export './lorem_ipsum.dart';
export './src/color_schemes.dart';

typedef ObjectCreator<T> = T Function();
typedef JsonObjectCreator<T> = T Function(Map<String, dynamic> jsonMap);
