import 'dart:convert';
import 'package:modular_system_core/mscore.dart';

class CredentialHandshake implements JsonSerializer<CredentialHandshake> {
  String key = "";
  String password = "";

  CredentialHandshake();

  factory CredentialHandshake.signIn(String key, String password) {
    var x = CredentialHandshake();
    x.key = key;
    x.password = password;
    return x;
  }

  factory CredentialHandshake.fromJson(Map<String, dynamic> jsonMap) {
    var x = CredentialHandshake();
    x.key = jsonMap["key"];
    x.key = jsonMap["password"];
    return x;
  }

  @override
  CredentialHandshake fromJson(Map<String, dynamic> jsonMap) {
    return CredentialHandshake.fromJson(jsonMap);
  }

  @override
  String toJson() {
    return jsonEncode(toJsonMap());
  }

  @override
  Map<String, dynamic> toJsonMap() {
    return {
      "key": key,
      "password": password,
    };
  }
}
