import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

class Loading extends StatelessWidget {
  // ignore: use_key_in_widget_constructors
  const Loading({
    required this.color,
  });

  final Color color;

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.only(
        top: 200,
      ),
      child: SpinKitFoldingCube(
        color: color,
        duration: const Duration(milliseconds: 1200),
      ),
    );
  }
}
